<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta http-equiv="Content-Language" content="gb2312">
<meta name="keywords" content="{$Meta_Keywords}">
<meta name="description" content="{$Meta_Description}">
<link rel="shortcut icon" href="{$InstallDir}images/favicon.ico">
<link rel="Bookmark" href="{$InstallDir}images/favicon.ico">
<link href="{$InstallDir}Skins/DG13/skins/_g.css" type="text/css" rel="stylesheet" />
<link href="{$InstallDir}Skins/DG13/skins/style.css" type="text/css" rel="stylesheet" />
<link id="themecss" rel="stylesheet" rev="stylesheet" href="/Skins/DG13/skins/theme/theme1.css" type="text/css">
<Script language="JavaScript" Src="{$InstallDir}Inc/Site.Js"></Script>
<Script language="JavaScript" Src="{$InstallDir}Inc/Menu.Js"></Script>
<script type="text/javascript" src="{$InstallDir}skins/dg13/js/jquery.js"></script>
<title>在线支付 - {$ChannelName} - {$SiteTitle}</title>
<script language="JavaScript">
<!--
function formPay() {
var flag = false;
  if(document.addform.Pay != null){
    var msglen=document.addform.Pay.length;
    for(i=0;i<msglen;i++){
      if(document.addform.Pay[i].checked==true){flag = true;}
    }
  }
  if (flag == false){
    alert("请选择支付平台")
    return false;
  }
if(document.addform.amount.value=="") {
  alert("请输入付款金额")
  return false;
}
if( isNumberString(document.addform.amount.value,"1234567890.")!=1) {
  alert("付款金额输入不正确，请重新输入")
  return false;
}
if(document.addform.remark.value.length>100) {
  alert("付款说明不能超过100个字符")
  return false;
}
}

function isNumberString (InString,RefString){
if(InString.length==0) return (false);
for (Count=0; Count < InString.length; Count++)  {
    TempChar = InString.substring (Count, Count+1);
    if (RefString.indexOf (TempChar, 0)==-1)
    return (false);
}
return (true);
}
// -->
</script>
</head>
<body bgcolor="#e6e6e6">
{$My_其它头部}
  <div id="content" style="text-align:left">
  <p>

<table width="500px" border="0" cellspacing="5" cellpadding="0" align="center">
<form name="addform" method="post" action="?Action=Send" onSubmit="return formPay()">
<input name=TypeID type=hidden value={$TypeID}>
<input name=ProID type=hidden value={$ProID}>
  <tr{$OrderDisplay}><td align="right">订 单 号　</td><td><input type="hidden" name="Order" maxlength="18" value="{$Order}"><span class=payprice>{$Order}</span></td></tr>
  <tr id=pay1><td width="156" align="right">付款金额　</td><td width="325"><input type="text" name="amount" maxlength="8" style="width:100px" value="{$PriceInput}"> 元</td></tr>
  <tr id=pay2><td align="right">付款说明　</td><td><textarea name="remark" style="width:200px;height:80px">{$Remark}</textarea></td></tr>
  <tr id=pay3 style="display:none"><td width="156" align="right">付款金额　</td><td width="325"><span class=payprice>{$Price}</span> 元</td></tr>
  <tr id=pay4 style="display:none"><td width="156" align="right">付款说明　</td><td width="325"><span class=paytit>{$Remark}</span></td></tr>
  <tr><td align="right">选择支付平台　</td><td style="padding:40px 0 30px 0">
  <div{$ChinaBank} style="float:left;margin-right:20px"><input name="Pay" type="radio" value="ChinaBank" /> <img src="{$InstallDir}Skins/{$SkinDir}/ChinaBank.gif" align=absmiddle></div>
  <div{$AliPay}><input name="Pay" type="radio" value="AliPay" /> <img src="{$InstallDir}Skins/{$SkinDir}/AliPay.gif" align=absmiddle></div>
  </td></tr>
  <tr><td Height="50px"></td><td><input name=submit type="image" src="{$InstallDir}Skins/{$SkinDir}/PayNext.gif" height="24px" width="100px"  style="border:0"></td></tr>
</form>
</table></p>

</div>
{$My_Bottom}</div>
</body>
</html>
